Toybrick

楼主: troy

人工智能开发系列(2) 车牌识别开发与实现

diaw

新手上路

积分
32
发表于 2020-7-28 20:13:27 | 显示全部楼层
训练了400多次 一直停留在98-99%
回复

使用道具 举报

troy

版主

积分
2254
 楼主| 发表于 2020-7-29 08:48:06 | 显示全部楼层
diaw 发表于 2020-7-28 19:56
楼主你整个跑过去花了多长时间呢

你是指哪个过程,训练还是推理。你说的训练卡在98%的情况我没遇到过,这个训练是github上别人写的仓库,已经两年没更新过了,因此有可能是TensorFlow版本兼容性的问题,可以看一下这方面。
如果你想只是想学习训练的过程,使用我们开发系列1的中文手势识别也是可以的。
回复

使用道具 举报

diaw

新手上路

积分
32
发表于 2020-7-30 09:51:10 | 显示全部楼层
系列1 有经常更新是吧
回复

使用道具 举报

diaw

新手上路

积分
32
发表于 2020-7-30 09:51:48 | 显示全部楼层
troy 发表于 2020-7-29 08:48
你是指哪个过程,训练还是推理。你说的训练卡在98%的情况我没遇到过,这个训练是github上别人写的仓库, ...

系列1 有经常更新是吧,我以为系列2会更新一些
回复

使用道具 举报

diaw

新手上路

积分
32
发表于 2020-7-30 15:13:48 | 显示全部楼层
diaw 发表于 2020-7-30 09:51
系列1 有经常更新是吧,我以为系列2会更新一些

../digital_gesture_recognition/model_2500/digital_gesture.pb
这个路径也是找不到的
回复

使用道具 举报

shaojia

新手上路

积分
32
发表于 2021-1-7 10:56:52 | 显示全部楼层
yxtest 发表于 2019-6-14 14:34
通过你们提供的 predict-lpr-pb.py 可运行且可识别出来结果。为什么 执行了rknn_transfer.py和rknn_predict ...

我也遇到这个问题 请问你解决了吗
回复

使用道具 举报

troy

版主

积分
2254
 楼主| 发表于 2021-1-8 15:13:00 | 显示全部楼层
shaojia 发表于 2021-1-7 10:56
我也遇到这个问题 请问你解决了吗

该demo仅用于演示,现在已经没有维护了,最新的rknn接口也发生很大变化,没有去做适配。
回复

使用道具 举报

greg

中级会员

积分
234
发表于 2021-5-27 11:50:03 | 显示全部楼层
在执行python3 rknn_transfer.py转换模型的时候报错
    inputs = self.rknn_base.net.get_input_layers()
AttributeError: 'NoneType' object has no attribute 'get_input_layers'
可能是什么原因呢?
回复

使用道具 举报

ai开发者

注册会员

积分
68
发表于 2021-11-6 10:27:47 | 显示全部楼层
E Traceback (most recent call last):
E   File "rknn\base\RKNNlib\converter\convert_tf.py", line 1179, in rknn.base.RKNNlib.converter.convert_tf.convert_tf.match_paragraph_and_param
E   File "rknn\base\RKNNlib\RKNNnet.py", line 214, in rknn.base.RKNNlib.RKNNnet.RKNNNet.new_layer
E   File "rknn\api\rknn_log.py", line 312, in rknn.api.rknn_log.RKNNLog.e
E ValueError: Unknow layer "randomuniform"
E During handling of the above exception, another exception occurred:
E Traceback (most recent call last):
E   File "rknn\api\rknn_base.py", line 231, in rknn.api.rknn_base.RKNNBase.load_tensorflow
E   File "rknn\base\RKNNlib\RK_nn.py", line 51, in rknn.base.RKNNlib.RK_nn.RKnn.load_tensorflow
E   File "rknn\base\RKNNlib\app\importer\import_tensorflow.py", line 205, in rknn.base.RKNNlib.app.importer.import_tensorflow.Importensorflow.run
E   File "rknn\base\RKNNlib\converter\convert_tf.py", line 1278, in rknn.base.RKNNlib.converter.convert_tf.convert_tf.match_paragraph_and_param
E   File "rknn\api\rknn_log.py", line 312, in rknn.api.rknn_log.RKNNLog.e
E ValueError: Try match RandomUniform dropout/random_uniform/RandomUniform failed, catch exception!
Traceback (most recent call last):
  File "G:/git_projects/CarLicense/rknn_test/rknn_transfer.py", line 33, in <module>
    transfer('../train-saver/digits/lpr_predict.pb', './lpr_digits_predict.rknn')
  File "G:/git_projects/CarLicense/rknn_test/rknn_transfer.py", line 23, in transfer
    rknn.build(do_quantization=False)
  File "D:\anaconda3\envs\tensorflow\lib\site-packages\rknn\api\rknn.py", line 241, in build
    inputs = self.rknn_base.net.get_input_layers()
AttributeError: 'NoneType' object has no attribute 'get_input_layers'
请问能指导解决一下吗
回复

使用道具 举报

Jimbob

新手上路

积分
12
发表于 2021-11-11 14:45:51 | 显示全部楼层
您好,请问有这个可以在rk3568上面运行吗?有没有rk3568相关的的项目外放呢?谢谢!
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表